Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
879 Views

Why is EPCS_controller not supported in Quartus 18.0 for Cyclone 10 LP

Hello,

 

I have upgraded my Cyclone III project to Quartus 18.0 and use Cyclone 10 LP. I now got the following error: "Component epcs_controller does not support selected device family Cyclone 10 LP​".

Can anybody explain this to me and tell me how I can solve this?

 

Regards,

 

Wamor

0 Kudos
5 Replies
Highlighted
Retired Employee
9 Views

You probably have to update/regenerate the IP, but EPCS support is going away:

 

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/pcn/pdn1708.pdf

0 Kudos
Highlighted
9 Views

Hi WMor,

 

The EPCS/EPCQA serial flash controller core is not supported by Intel Cyclone10 LP devices.

Kindly check the below link (15.1 Core Overview) - Page 165

https://www.intel.com/content/dam/altera-www/global/en_US/pdfs/literature/ug/ug_embedded_ip.pdf

Check the below thread with similar issue.

https://forums.intel.com/s/question/0D50P00003yyTfmSAE/about-the-ip-core-legacy-epcsepcqx1-flash-con...

 

Thanks. 

0 Kudos
Highlighted
Beginner
9 Views

Hello sstrell and Calvin Joazer,

 

Thank you both for taking the time for answering my question.

In the mean time I also learned that I should use ASMI Parallel FPGA IP Core for configuring the Cyclone 10 LP. Are there some documents how to connect an EPCS devices to a Cyclone 10 LP and how to configure the ASMI Paralell FPGA IP Core in the Platform Designer (how to connect this to the NIOS II CPU)?

 

Thank you and best regards,

 

Wamor​

0 Kudos
Highlighted
9 Views

0 Kudos
Highlighted
Beginner
9 Views

Hi Calvin,

 

Thank you for the response. It helped me a lot!

 

Regards

 

Wamor

0 Kudos